package shark.arthas.demo;

import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * ognl -x 3 '#springContext=@shark.arthas.demo.SpringUtil@ac,#springContext.getBean("sample02").execute()'
 * @author yuwc
 * @ClassName 通过ognl表达式执行方法
 * @description: 通过ognl表达式执行方法
 * @date 2024年03月21日
 * @version: 1.0
 */
@Component
public class Sample02 {
    @Scheduled(fixedDelayString =  "300000")
    public void execute(){
        System.out.println("method invoker");
    }
}
